## html2wml 0.3.9

=== Makefile ===
# =========================================================================== #
# Configuration
PREFIX=/home/madingue/tmp
CGIDIR=/home/httpd/cgi-bin

# =========================================================================== #
# Do not edit the following

# For Debian packaging
DESTDIR=

# Html2Wml version
VERSION=`perl -n getversion.pl html2wml.cgi`

# Standard subdirectories locations
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/man
DOCDIR=$(PREFIX)/doc

MAN1DIR=$(MANDIR)/man1
MYDOCDIR=$(DOCDIR)/html2wml-$(VERSION)

# Default target
default: check-config
	@echo 
	@echo "Type \"make install\" to install Html2Wml."

# Installaton targets
install: check-config directories
	install -m 555 html2wml.cgi $(BINDIR)/html2wml
	install -m 444 html2wml.1 $(MAN1DIR)/html2wml.1
	install -m 444 ARTISTIC COPYING INSTALL NEWS NOTES README TODO html2wml-readme.html $(MYDOCDIR)

installcgi: check-config
	install -m 555 html2wml.cgi $(CGIDIR)

uninstall: 
	rm -f $(BINDIR)/html2wml
	rm -f $(MAN1DIR)/html2wml.1
	rm -rf $(MYDOCDIR)

directories: 
	install -d $(BINDIR) $(MAN1DIR) $(DOCDIR) $(MYDOCDIR)

check-config:
	@echo "Checking if your config looks good..."
	@perl checkconfig.pl
	@echo "Sounds ok."

## html2wml 0.4.10b5

=== Makefile ===
# =========================================================================== #
# Configuration 
PREFIX=/usr/local
CGIDIR=/home/httpd/cgi-bin

# =========================================================================== #
# Do not edit the following unless you know what are you are doing

# Html2Wml version
VERSION=0.4.10b5

# Standard subdirectories locations
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/man
DOCDIR=$(PREFIX)/doc/html2wml

MAN1DIR=$(MANDIR)/man1

# Default target
default: check-config
	@echo 
	@echo "Current configuration: "
	@echo     PREFIX=$(PREFIX)
	@echo "     => BINDIR=$(BINDIR)"
	@echo "        MANDIR=$(MANDIR)"
	@echo "        DOCDIR=$(DOCDIR)"
	@echo "    CGIDIR=$(CGIDIR)"
	@echo 
	@echo "Type \"make install\" to install Html2Wml."
	@echo "Type \"make installcgi\" to install Html2Wml in your CGI directory."

# Installaton targets
install: check-config directories
	install -m 555 html2wml.cgi $(BINDIR)/html2wml
	install -m 444 doc/html2wml.man $(MAN1DIR)/html2wml.1 
	install -m 444 COPYING INSTALL NEWS NOTES README TODO ChangeLog $(DOCDIR) 
	make -C t/ install DOCDIR=$(DOCDIR) 
	make -C doc/ install DOCDIR=$(DOCDIR)

installcgi: check-config
	install -m 555 html2wml.cgi $(CGIDIR)

uninstall: 
	rm -f $(BINDIR)/html2wml
	rm -f $(MAN1DIR)/html2wml.1
	rm -rf $(DOCDIR)

directories: 
	install -d $(BINDIR) $(MAN1DIR) $(DOCDIR)

check-config:
	@echo "Checking if your config looks good..."
	@perl checkconfig.pl
	@echo "Sounds ok."

=== doc/Makefile ===
POD=readme.pod
TITLE:="Html2Wml Documentation"

help: 
	@echo "available targets: "
	@echo "    doc        rebuild the documentation"
	@echo "    install    install the documentation"

install: 
	@install -m 444 *.pod *.html *.pdf $(DOCDIR)/

doc:
	@echo "[ writing html doc ]"
	@pod2html --infile="${POD}" --outfile="readme.html" --title=\"${TITLE}\" --norecurse --noindex --verbose
	@rm -f pod2htm*.x~~
	@perl -pi -e 's|^<LINK|<link rel="home" href="http://htmlwml.sourceforge.net/">\n<LINK|' readme.html
	@perl -pi -e 's|root\@law.uucp|mad\@maddingue.org|' readme.html
	@perl -pi -e 's|^<BODY|<style type="text/css"> BODY { background-color: white; } HR { margin-top: 3ex; } </style>\n<BODY|' readme.html
	@echo "[ writing text doc ]"
	@pod2text ${POD} > readme.txt
	@echo "[ writing nroff doc ]"
	@pod2man --center=\"${TITLE}\" --release=${VERSION} ${POD} > html2wml.man
	@echo "[ writing pdf doc ]"
	@perl -p -e '/=for html/ and <>, <>, next' ${POD} > Html2Wml
	@pod2pdf --verbose 1 --podfile Html2Wml
	@mv Html2Wml.pdf readme.pdf
	@rm Html2Wml

## html2wml 0.4.11

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Do not edit the following unless you know what are you are doing
 
 # Html2Wml version
-VERSION=0.4.10b5
+VERSION=0.4.11
 
 # Standard subdirectories locations
 BINDIR=$(PREFIX)/bin

=== t/Makefile ===
help: 
	@echo "available targets"
	@echo "    install    install the examples in the documentation directory"

install: 
	@install -d $(DOCDIR)/t
	@install -m 444 *.html $(DOCDIR)/t
	@install -d $(DOCDIR)/t/samples
	@install -m 444 samples/* $(DOCDIR)/t/samples

## html2wml 0.4.11%2Bdfsg

=== debian/control ===
Source: html2wml
Section: web
Priority: optional
Maintainer: Werner Heuser <wehe@debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: http://htmlwml.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/html2wml.git
Vcs-Browser: https://salsa.debian.org/debian/html2wml
Rules-Requires-Root: binary-targets

Package: html2wml
Architecture: all
Depends: libcgi-pm-perl,
         libhtml-parser-perl,
         libtext-template-perl,
         liburi-perl,
         libwww-perl,
         perl,
         ${misc:Depends}
Recommends: libxml-parser-perl,
            tidy
Suggests: httpd-cgi | httpd,
          iceweasel,
          wap-wml-tools,
          wapua
Enhances: httpd-cgi
Description: converts HTML pages to WML (WAP) or i-mode pages
 html2wml converts HTML pages to WML or i-mode(tm) pages, suitable
 for being viewed on a WAP or i-mode devices, e.g. cell phones.
 The conversion can be done either on the command line to create
 static pages or on-the-fly by calling this program as a CGI.
 .
 Different WAP browsers are available to view the results of
 html2wml, e.g. the wmlbrowser add-on for iceweasel (aka firefox)
 and wapua.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -- installcgi

## html2wml 0.4.11+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -11,11 +11,9 @@
 
 doc:
 	@echo "[ writing html doc ]"
-	@pod2html --infile="${POD}" --outfile="readme.html" --title=\"${TITLE}\" --norecurse --noindex --verbose
+	@pod2html --infile="${POD}" --outfile="readme.html" --title=\"${TITLE}\" --norecurse --index --verbose --css=style.css
+	@./mkhtml
 	@rm -f pod2htm*.x~~
-	@perl -pi -e 's|^<LINK|<link rel="home" href="http://htmlwml.sourceforge.net/">\n<LINK|' readme.html
-	@perl -pi -e 's|root\@law.uucp|mad\@maddingue.org|' readme.html
-	@perl -pi -e 's|^<BODY|<style type="text/css"> BODY { background-color: white; } HR { margin-top: 3ex; } </style>\n<BODY|' readme.html
 	@echo "[ writing text doc ]"
 	@pod2text ${POD} > readme.txt
 	@echo "[ writing nroff doc ]"

=== debian/changelog ===
html2wml (0.4.11+dfsg-1) unstable; urgency=medium

  * Add myself as co-maintainer.
  * Apply wrap-and-sort.
  * Add dependency on ${misc:Depends} for debhelper.
  * Bump debhelper compatibility to 9.
    + Update versioned build-dependency on debhelper accordingly.
  * Revamp debian/rules:
    + Replace "dh_clean -k" with "dh_prep"
    + Don't ignore all "make clean" errors, just if Makefile doesn't exist.
    + Add missing build-{arch,indep} targets.
    + Drop now redundant dh_installchangelogs parameter.
    + Drop manual removal of stamp files: done by dh_clean now.
    + Use dh_auto_{build,install,clean} instead of according $(MAKE) calls.
    + Remove now obsolete manual checking of DEB_BUILD_OPTIONS.
    + Finally switch to a minimal dh v7 style debian/rules file.
  * Add a Homepage header.
  * Add debian/watch file.
  * Switch to source format "3.0 (quilt)".
  * Cleanup Makefile patch to minimise the differences.
    + Put comments into patch description instead into the patched file.
    + Remove clean alias for uninstall target -- not needed and allows us
      to remove override for dh_auto_clean in debian/rules.
  * Declare compliance with Debian Policy 3.9.8.
  * Add patch to fix spelling errors found by lintian in man page.
  * Only install selected files from t/ directory via debian/docs. Most of
    them are already included in the upstream install target. Avoids
    installing an unneeded Makefile as documentation.
  * Add patch to t/Makefile to normalize examples directory naming and
    structure in /usr/share/doc/html2wml.
  * Add patch to remove potential (and unneeded) privacy breaches from
    documentation and examples.
  * Create packaging Git repository under collab-maint and create
    according Vcs-* headers.
  * Don't install README (only package description and license) and
    readme.* (same contents as man page) anymore. Also fixes Lintian
    warning possible-documentation-but-no-doc-base-registration.
  * Downgrade "httpd | httpd-cgi" from Recommends to Suggests (so that it
    doesn't pull in a web server by default), reverse the order and add an
    "Enhances: httpd-cgi" instead.
  * Remove non-free files t/wml1*.dtd by repacking the upstream tar ball.
  * Convert debian/copyright to machine-readable DEP5 format.
    + Also update copyright years and packaging copyright holders.
    + List non-free files in Files-Excluded header.

 -- Axel Beckert <abe@debian.org>  Sat, 10 Sep 2016 13:33:05 +0200

html2wml (0.4.11-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Swap binary-* targets to fix FTBFS with "dpkg-buildpackage -A". Patch
    by Santiago Vila. (Closes: #831931)
  * Add missing dependency on libcgi-pm-perl. (Closes: #835623)

 -- Axel Beckert <abe@debian.org>  Sat, 27 Aug 2016 19:50:03 +0200

html2wml (0.4.11-1.1) unstable; urgency=high

  * Non-maintainer upload
  * Replace dependency on "perl5" with just "perl". (Closes: #808189)

 -- Axel Beckert <abe@debian.org>  Sat, 19 Dec 2015 00:36:01 +0100

html2wml (0.4.11-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: bumped to 3.7.2. No changes.
  * Suggests: iceweasel and wapua have been added
  * Description: iceweasel WAP plugin and wapua as a means to view
    the results of html2wml are now mentioned
  * Build-Depends: debhelper has been bumped to 5 and greater
  * DESTDIR has been added to clean target in rules file, to avoid a
    build error
  * moved DH_COMPAT from rules to compat
  * polished copyright file: author(s) -> author
  * download address changed in copyright file

 -- Werner Heuser <wehe@debian.org>  Mon,  9 Jan 2009 13:08:10 +0100

html2wml (0.4.10b5-1.2) unstable; urgency=low

  * NMU at the Munich Bugsquasing Party
  * dropped Recommends: viewml, since that was removed (Closes: #240561)

 -- Erich Schubert <erich@debian.org>  Sun, 18 Apr 2004 13:28:12 +0200

html2wml (0.4.10b5-1.1) unstable; urgency=low

  * NMU (patch available in the BTS)
  * Dropped dependency on non-free wap-wml-tools package from
    Recommends: to Suggests:. The only tool used from that package
    seems to be wmlc which is not strictly necessary and not used by
    default. (Closes: Bug#216563)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 28 Dec 2003 11:45:08 +0100

html2wml (0.4.10b5-1) unstable; urgency=low

  * new upstream release
  * added man page, which was silently gone
  * modified package description to show new features
  * modified Makefile and rules to include the main script
    and the CGI finally, thanks to Kalle Valo 
    <Kalle.Valo@hut.fi> (closes: Bug#162404).

 -- Werner Heuser <wehe@debian.org>  Wed, 27 Nov 2002 10:19:30 -0100

html2wml (0.4.9-1) unstable; urgency=low

  * New upstream release
  * modified target check-config to clean Build-Depends, thanks to
    Matt Taggart taggart@debian.org (closes: Bug#133743).

 -- Werner Heuser <wehe@debian.org>  Tue, 25 Jun 2002 10:18:41 -0100

html2wml (0.3.9-2) unstable; urgency=low

  * removed some nasty control chars from dsc and changes file

 -- Werner Heuser <wehe@debian.org>  Thu, 18 Jan 2001 09:22:02 -0100

html2wml (0.3.9-1) unstable; urgency=low

  * Initial Release.

 -- Werner Heuser <wehe@snafu.de>  Mon,  8 Jan 2001 14:07:10 -0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Werner Heuser <wehe@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
-Homepage: http://htmlwml.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/debian/html2wml.git
-Vcs-Browser: https://salsa.debian.org/debian/html2wml
-Rules-Requires-Root: binary-targets
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
+Homepage: http://www.html2wml.org/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/html2wml.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/html2wml.git
 
 Package: html2wml
 Architecture: all

=== debian/watch ===
version=4

opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
http://maddingue.free.fr/softwares/download/Html2Wml/html2wml-(.*).tar.gz
